.ad-container {
  display: flex;
  border: 1px solid black;
  width: 625px;
  height: 312px;
  border-radius: 12px;
  position: absolute;
  top: 99%;
  left: 99%;
  transform: translate(-100%, -100%);
}
.ad-container2 {
  width: 312px;
  height: 312px;
  position: relative;
}
.ad-text {
  margin-top: 15px;
  margin-left: 5px;
  margin-bottom: 5px;
  margin-right: 5px;
  color: black;
  font-family: sans-serif;
  text-align: center;
}
.ad-btn {
  width: 187px;
  height: 31px;
  background-color: gray;
  border-radius: 15px;
  border: 1px solid black;
  position: absolute;
  top: 70%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition-duration: 500ms;
}
.ad-btn:hover {
  background-color: lightgray;
}
.ad-link {
  color: blue;
  text-decoration: none;
}
.ad-container img {
  border-radius: 12px;
}
.container {
  display: flex;
}
.text{
  margin: 5px;
}